package com.persagy.dmp.digital.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.*;

/**
 * 记录关系的计算标记表,与dt_relation表为一对一关系
 * @TableName dt_relation_cal_sign
 */
@TableName(value ="dt_relation_cal_sign")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper=true)
@ToString(callSuper = true)
public class RelationCalSign extends AuditableEntity {

    /**
     * 计算标记 1 为手动 2为自动
     */
    @TableField(value = "sign")
    private Integer sign;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}