package com.persagy.dmp.rwd.digital.service.impl;

import com.persagy.dmp.basic.dto.RelationCalRuleDTO;
import com.persagy.dmp.rwd.digital.domain.CalculatingDTO;
import com.persagy.dmp.rwd.digital.service.CalculateService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/***
 * Description: 根据坐标计算关系的策略类
 * @author : lijie
 * @date :2021/9/8 17:02
 * Update By lijie 2021/9/8 17:02
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class CoordinateCalculateServiceImpl implements CalculateService {
    /***
     * Description: 根据坐标计算关系
     * @param calRule : 计算规则
     * @param calculatingDTO : 参数
     * @return : void
     * @author : lijie
     * @date :2021/9/8 17:14
     * Update By lijie 2021/9/8 17:14
     */
    @Override
    public void calculateRelation(RelationCalRuleDTO calRule, CalculatingDTO calculatingDTO) {

    }
}
